Debian Bug report logs - #535770
Segmentation fault with php 5.3

version graph

Package: php5; Maintainer for php5 is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5 is src:php5.

Reported by: jidanni@jidanni.org

Date: Sat, 4 Jul 2009 21:21:01 UTC

Severity: grave

Found in version php5/5.3.0-2

Fixed in version php5/5.3.0-3

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mediawiki-l@lists.wikimedia.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sat, 04 Jul 2009 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to mediawiki-l@lists.wikimedia.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 04 Jul 2009 21:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: Segmentation fault with php 5.3
Date: Sun, 05 Jul 2009 05:18:17 +0800
Package: php5
Version: 5.3.0-2
X-Debbugs-cc: mediawiki-l@lists.wikimedia.org

Hello. With an SVN version of Mediawiki,
Offline on my test wiki, calling
index.php?title=%E7%89%B9%E6%AE%8A:%E5%8F%83%E6%95%B8%E8%A8%AD%E7%BD%AE
(which is Special:Preferences), as a logged in user, causes
child pid 10600 exit signal Segmentation fault (11) as seen in
/var/log/apache2/error.log
The last lines in $wgDebugLogFile were:
AND page_title = '用戶' LIMIT 1 SQL: SELECT /* LinkCache::addLinkObj
Jidanni */ page_id,page_len,page_is_redirect FROM `page` WHERE
page_namespace = '4' AND page_title = '自動確認使用者' LIMIT 1
Unstubbing $wgAuth on call of $wgAuth::allowPropChange from
Preferences::profilePreferences

# ls *5.2.10*
libapache2-mod-php5_5.2.10.dfsg.1-1_i386.deb  php5-gd_5.2.10.dfsg.1-1_i386.deb
php5-cgi_5.2.10.dfsg.1-1_i386.deb             php5-mcrypt_5.2.10.dfsg.1-1_i386.deb
php5-cli_5.2.10.dfsg.1-1_i386.deb             php5-mysql_5.2.10.dfsg.1-1_i386.deb
php5-common_5.2.10.dfsg.1-1_i386.deb          php5_5.2.10.dfsg.1-1_all.deb
# dpkg -i *5.2.10*
dpkg: warning: downgrading libapache2-mod-php5 from 5.3.0-2 to 5.2.10.dfsg.1-1...
fixed it.

So, just like https://bugzilla.wikimedia.org/show_bug.cgi?id=9365 , this
is probably not a Mediawiki problem, but a php5.3 problem.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sun, 05 Jul 2009 09:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 05 Jul 2009 09:09:02 GMT) Full text and rfc822 format available.

Message #10 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: jidanni@jidanni.org, 535770@bugs.debian.org
Subject: Re: [php-maint] Bug#535770: Segmentation fault with php 5.3
Date: Sun, 5 Jul 2009 11:06:36 +0200
[Message part 1 (text/plain, inline)]
hi there,

On Sun, Jul 05, 2009 at 05:18:17AM +0800, jidanni@jidanni.org wrote:
> Package: php5
> Version: 5.3.0-2

thanks for testing the 5.3 packages!

> index.php?title=%E7%89%B9%E6%AE%8A:%E5%8F%83%E6%95%B8%E8%A8%AD%E7%BD%AE
> (which is Special:Preferences), as a logged in user, causes
> child pid 10600 exit signal Segmentation fault (11) as seen in
> /var/log/apache2/error.log

what would be the most helpful is if you could (a) install the 5.3
version of php5-dbg and (b) get a core file and backtrace of this
crash in gdb.  let me know if you have trouble doing this.


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sun, 05 Jul 2009 23:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 05 Jul 2009 23:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: seanius@debian.org
Cc: 535770@bugs.debian.org, mediawiki-l@lists.wikimedia.org
Subject: Re: Bug#535770: Segmentation fault with php 5.3
Date: Mon, 06 Jul 2009 07:32:08 +0800
I found the (location of) the problem,
zif_timezone_identifiers_list! More below.

>>>>> "sf" == sean finney <seanius@debian.org> writes:

sf> what would be the most helpful is if you could (a) install the 5.3
sf> version of php5-dbg and (b) get a core file and backtrace of this
sf> crash in gdb.  let me know if you have trouble doing this.

>>>>> "TS" == Tim Starling <tstarling@wikimedia.org> writes:

TS> This is not a helpful error message. You will need to run Apache under
TS> gdb to get anything sensible out of this.

TS> gdb /usr/bin/apache2
TS> run -X

TS> View the page in your browser, it should hit the segfault and gdb will
TS> break out to another prompt. Then:

TS> bt

TS> That will give you a backtrace which will hopefully allow you to work
TS> out what component to file a bug against.

OK, I read /usr/share/doc/apache2.2-common/README.backtrace
and ended up installing a total of
apache2-dbg libapr1-dbg libaprutil1-dbg gdb php5-dbg .
Then, as one cannot just do
# gdb `which apache2`
on Debian, I did
# /etc/init.d/apache2 start
# cat /proc/$(pidof -s apache2)/environ|tr \\0 ' '
# /etc/init.d/apache2 stop
from which I deduced I should do the following
# APACHE_PID_FILE=/var/run/apache2.pid APACHE_RUN_USER=www-data PATH=/usr/local/bin:/usr/bin:/bin PWD=/tmp APACHE_RUN_GROUP=www-data LANG=C gdb /usr/sbin/apache2
GNU gdb (GDB) 6.8.50.20090106-cvs-debian ...
(no debugging symbols found)
(gdb) run -X
Starting program: /usr/sbin/apache2 -X
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb6756b90 (LWP 11989)]
[Thread 0xb6756b90 (LWP 11989) exited]

Program received signal SIGSEGV, Segmentation fault.
0xb75d4670 in zif_timezone_identifiers_list (ht=0, return_value=0x8dbefec, return_value_ptr=0x0, this_ptr=0x0, 
    return_value_used=1) at /tmp/buildd/php5-5.3.0/ext/date/php_date.c:3787
3787	/tmp/buildd/php5-5.3.0/ext/date/php_date.c: No such file or directory.
	in /tmp/buildd/php5-5.3.0/ext/date/php_date.c
(gdb) bt
#0  0xb75d4670 in zif_timezone_identifiers_list (ht=0, return_value=0x8dbefec, return_value_ptr=0x0, this_ptr=0x0, 
    return_value_used=1) at /tmp/buildd/php5-5.3.0/ext/date/php_date.c:3787
#1  0xb792c153 in zend_do_fcall_common_helper_SPEC (execute_data=0x83b3950)
    at /tmp/buildd/php5-5.3.0/Zend/zend_vm_execute.h:313
#2  0xb7906536 in execute (op_array=0x83f12f8) at /tmp/buildd/php5-5.3.0/Zend/zend_vm_execute.h:104
#3  0xb78d8db6 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /tmp/buildd/php5-5.3.0/Zend/zend.c:1188
#4  0xb788074e in php_execute_script (primary_file=0xbffff5b0) at /tmp/buildd/php5-5.3.0/main/main.c:2196
#5  0xb7964f01 in php_handler (r=0x83a4ce0) at /tmp/buildd/php5-5.3.0/sapi/apache2handler/sapi_apache2.c:663
#6  0x0807c239 in ap_run_handler ()
#7  0x0807f659 in ap_invoke_handler ()
#8  0x0808d166 in ap_process_request ()...

So there you go zif_timezone_identifiers_list. So I hope the Debian PHP
team will jump on the bug, as this is no place for junior programmer me.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Mon, 06 Jul 2009 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 06 Jul 2009 06:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: jidanni@jidanni.org
Cc: 535770@bugs.debian.org, mediawiki-l@lists.wikimedia.org
Subject: Re: Bug#535770: Segmentation fault with php 5.3
Date: Mon, 6 Jul 2009 08:29:50 +0200
[Message part 1 (text/plain, inline)]
hi there,

On Mon, Jul 06, 2009 at 07:32:08AM +0800, jidanni@jidanni.org wrote:
> I found the (location of) the problem,
> zif_timezone_identifiers_list! More below.

hrm, just based on the name of this function i wonder if it has anything
to do with the system tzdata patch.  i don't see it touching the code
in question but it could be that it's making some kind of assumption about
the state of the internal php timezone db.

i think i've found a working proof of concept to illustrate the bug:

rangda[/home/sean] php -r 'print timezone_identifiers_list();'               :)
zsh: segmentation fault  php -r 'print timezone_identifiers_list();'
rangda[/home/sean]                                                     [139] :(

i'll poke at it and if i can determine that it's not one of our patches 
causing the problem i will forward the issue upstream.


thanks,
	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Mon, 06 Jul 2009 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 06 Jul 2009 19:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: seanius@debian.org
Cc: 535770@bugs.debian.org
Subject: Re: Bug#535770: Segmentation fault with php 5.3
Date: Tue, 07 Jul 2009 03:30:41 +0800
See http://article.gmane.org/gmane.org.wikimedia.mediawiki/31487 :
The bug is clearly Debian's fault. They have a huge and basically...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Mon, 06 Jul 2009 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 06 Jul 2009 20:33:06 GMT) Full text and rfc822 format available.

Message #30 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: jidanni@jidanni.org
Cc: 535770@bugs.debian.org, mediawiki-l@lists.wikimedia.org
Subject: Re: Bug#535770: Segmentation fault with php 5.3
Date: Mon, 6 Jul 2009 22:30:14 +0200
[Message part 1 (text/plain, inline)]
hi there,

for future reference neither hyperbole nor forgetting to cc the bug
report will help fix problems :)

On Tue, Jul 07, 2009 at 03:30:41AM +0800, jidanni@jidanni.org wrote:
> See http://article.gmane.org/gmane.org.wikimedia.mediawiki/31487 :
> The bug is clearly Debian's fault. They have a huge and basically...

as i stated before i suspected that it was related to the system tzdata
patch, and indeed it is.  unfortunately recompiling takes a bit so i
was only able to verify that this afternoon.

a cursory look suggests that they've made an extension to the affected
function's api, and it isn't handled by the tzdata patch.  if i can't
come up with a simple fix i'll forward it along to the patch author
for feedback.


thanks,
	sean



-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Mon, 06 Jul 2009 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 06 Jul 2009 20:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Joe Orton <jorton@redhat.com>
Cc: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, judas.iscariote@gmail.com, 535770@bugs.debian.org
Subject: PHP system timezone patch for 5.3?
Date: Mon, 6 Jul 2009 22:51:40 +0200
[Message part 1 (text/plain, inline)]
hey joe (et al),

i wonder if you've had a chance to look at the tzdata patch for 5.3?

we've found one problem which looks like it's going to need some more
work in the patch:

	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=535770

specifically timezone_identifiers_list() was extended to include country
codes as a filter for the returned values and it doesn't look like this
is covered by the patch and results in a segfault.


thanks!
	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Mon, 06 Jul 2009 22:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 06 Jul 2009 22:09:03 GMT) Full text and rfc822 format available.

Message #40 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Joe Orton <jorton@redhat.com>
Cc: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Tue, 7 Jul 2009 00:05:31 +0200
[Message part 1 (text/plain, inline)]
...and hi again :)

On Mon, Jul 06, 2009 at 10:51:40PM +0200, sean finney wrote:
> specifically timezone_identifiers_list() was extended to include country
> codes as a filter for the returned values and it doesn't look like this
> is covered by the patch and results in a segfault.

looking a bit more at the specifics, it doesn't seem so desirable to have
to mmap and read every file to get all the country codes.  here's some
options i see:

- read all the files anyway.  performance will be dismal but it's hopefully
  a corner case except for someone running a public world clock app or
  something :)

- fall back to the internal timezonedb for listing country names.  it would
  be a bit ugly and there's maybe a possibility that timezone names might
  get out of sync.

- pre-cache the tzdata at install time (and make use of triggers to
  catch updates to the tzdata files).  nice performance but adds extra
  complexity/dependencies outside of the engine.

- use zone.tab for country code -> tzdata mapping?  it seems to have the
  info we'd want all in one file (assuming it's correct and consistant),
  and we'd only have to read it in the specific cases that it was needed.

- disable the api extension.  not desirable.


i guess zone.tab seems a nice easy and boring fix for this, what do you think?


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Tue, 07 Jul 2009 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Orton <jorton@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 07 Jul 2009 09:12:04 GMT) Full text and rfc822 format available.

Message #45 received at 535770@bugs.debian.org (full text, mbox):

From: Joe Orton <jorton@redhat.com>
To: sean finney <seanius@debian.org>
Cc: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Tue, 7 Jul 2009 10:10:07 +0100
Hi Sean - adding the Fedora PHP devel list to CC.  Thanks for getting in 
touch.  For Fedora folks, Sean has referenced this Debian bug report:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=535770

Quoting in full:

On Tue, Jul 07, 2009 at 12:05:31AM +0200, sean finney wrote:
> ...and hi again :)
> 
> On Mon, Jul 06, 2009 at 10:51:40PM +0200, sean finney wrote:
> > specifically timezone_identifiers_list() was extended to include country
> > codes as a filter for the returned values and it doesn't look like this
> > is covered by the patch and results in a segfault.
> 
> looking a bit more at the specifics, it doesn't seem so desirable to have
> to mmap and read every file to get all the country codes.  here's some
> options i see:
> 
> - read all the files anyway.  performance will be dismal but it's hopefully
>   a corner case except for someone running a public world clock app or
>   something :)
> 
> - fall back to the internal timezonedb for listing country names.  it would
>   be a bit ugly and there's maybe a possibility that timezone names might
>   get out of sync.
> 
> - pre-cache the tzdata at install time (and make use of triggers to
>   catch updates to the tzdata files).  nice performance but adds extra
>   complexity/dependencies outside of the engine.
> 
> - use zone.tab for country code -> tzdata mapping?  it seems to have the
>   info we'd want all in one file (assuming it's correct and consistant),
>   and we'd only have to read it in the specific cases that it was needed.
> 
> - disable the api extension.  not desirable.
>
> i guess zone.tab seems a nice easy and boring fix for this, what do you think?

It looks like they are (as threatened) shipping a mutated version of the 
zoneinfo data in 5.3.  Changes:

1) first four bytes are "PHP1" not "TZif"
2) in the "reserved" 16 bytes which follow, they have:
     ONE BYTE: "BC" flag
     TWO BYTES: country code
  ... those are being used by the code you mention above
3) after the end of the data, they have:
    TWO BYTES: latitude and longtitude
    ONE BYTE: length N
    (N) BYTES: "comment"

Whereas we have the 64-bit TZif2 block at the end of the TZif data.  I 
think that's everything that's different.

The "BC" flag seems to be an indication that the zone name is a 
deprecated form, and it's the case that BC is 0 if and only if the 
country code is '??', otherwise BC is 1; with 'UTC' as a special-case 
(BC=1, code is '??').

I believe it is also the case that, other than UTC, there is a 
one-to-one mapping between zones *not* listed in zone.tab, and zones 
which PHP designates with country code '??' (and hence BC=0).

zone.tab also has the lat/long data, and the country codes, so, yup, 
parsing that at startup seems to be the way to go.  I'll have a crack at 
a patch later today hopefully.

Regards, Joe




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Wed, 08 Jul 2009 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 08 Jul 2009 13:15:05 GMT) Full text and rfc822 format available.

Message #50 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: seanius@debian.org
Cc: 535770@bugs.debian.org
Subject: Re: [php-maint] Bug#535770: Segmentation fault with php 5.3
Date: Wed, 08 Jul 2009 20:56:36 +0800
Hmmm, maybe you can run your -r test on "everything else too", to root
out all kinds of bugs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Tue, 14 Jul 2009 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Orton <jorton@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 14 Jul 2009 16:00:03 GMT) Full text and rfc822 format available.

Message #55 received at 535770@bugs.debian.org (full text, mbox):

From: Joe Orton <jorton@redhat.com>
To: sean finney <seanius@debian.org>
Cc: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Tue, 14 Jul 2009 16:53:40 +0100
[Message part 1 (text/plain, inline)]
Hi folks, I've attached "v5" of the system timezone patch, which is 
updated for 5.3.0.

This contains the changes to parse zone.tab which I proposed in my 
previous mail, and should fix the crash reported in the Debian bug 
535770.  It seems to work fine though I have not tested it exhaustively.  
Further review and testing would be very welcome!

Regards, Joe
[php-5.3.0-systzdata-v5.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Tue, 14 Jul 2009 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 14 Jul 2009 20:21:05 GMT) Full text and rfc822 format available.

Message #60 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Tue, 14 Jul 2009 22:17:36 +0200
[Message part 1 (text/plain, inline)]
hey joe,

great, thanks for this.  i'll give it some review and take it for a spin
and report back in a bit :)


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Tue, 14 Jul 2009 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 14 Jul 2009 23:18:03 GMT) Full text and rfc822 format available.

Message #65 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Wed, 15 Jul 2009 01:14:46 +0200
[Message part 1 (text/plain, inline)]
hi joe,

some quick notes/observations...

in your comments you say:

	/* Parse an ISO-6709 date as used in zone.tab. Returns end of the

s/date/coordinate/ ? :)

but more seriously:

* in create_zone_index() it looks like
  find_zone_info(system_zone_info...) is called but system_zone_info
  isn't initialized until after create_zone_index has returned.

* i'm not sure but it seems like there might be a few corresponding free()'s
  missing from the mallocs/strdups.

* it looks like load_zone_table() is called unconditionally, even if
  it's not needed (i.e. a scall to localtime() will trigger it)

* is parsing the comments really necessary?  i don't see any php functions
  that use them.

also, before i came to the conclusion that some kind of intermediate
hashtable was needed to do the mapping (at which point i gave up and
figured i'd wait to hear back from you :), i had done a slightly 
simpler implementation of the parsing using a clean mmap'd buffer
and sscanf with "%ms" type formats which avoids a lot of the hard-coded
lengths etc[1].  if you're interested i can hack that code into the
load_zone_info (and parse_iso6709) to make a leaner/cleaner/more efficient
implementation.

also, FYI my posts to the fedora list are being automatically rejected
so if i say anything important that should be shared someone should
forward it along :)


	sean

[1] 'm' being the sooner-or-later POSIX.1 adoption of the non-standard 'a'
    GNU libc extension to automatically allocate the parsed strings, which 
    in turn conflicted with the C99 'a' (float) format specifier, hence
    the new specifier.  it requires glibc >= 2.7 btw.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Wed, 15 Jul 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Orton <jorton@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 15 Jul 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #70 received at 535770@bugs.debian.org (full text, mbox):

From: Joe Orton <jorton@redhat.com>
To: sean finney <seanius@debian.org>, PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Wed, 15 Jul 2009 17:23:59 +0100
[Message part 1 (text/plain, inline)]
v6 attached, which now passes all the tests in the ext/date testsuite 
and fixes some significant bugs in v5 and earlier.

Regards, Joe
[php-5.3.0-systzdata-v6.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Fri, 17 Jul 2009 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Orton <jorton@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 17 Jul 2009 08:30:03 GMT) Full text and rfc822 format available.

Message #75 received at 535770@bugs.debian.org (full text, mbox):

From: Joe Orton <jorton@redhat.com>
To: sean finney <seanius@debian.org>
Cc: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Fri, 17 Jul 2009 09:27:53 +0100
[Message part 1 (text/plain, inline)]
Hi Sean, sorry I didn't see your comments earlier.

On Wed, Jul 15, 2009 at 01:14:46AM +0200, sean finney wrote:
> in your comments you say:
> 
> 	/* Parse an ISO-6709 date as used in zone.tab. Returns end of the
> 
> s/date/coordinate/ ? :)

Hah! I've fixed this in patch v7.

> but more seriously:
> 
> * in create_zone_index() it looks like
>   find_zone_info(system_zone_info...) is called but system_zone_info
>   isn't initialized until after create_zone_index has returned.

This was fixed in v6.

> * i'm not sure but it seems like there might be a few corresponding free()'s
>   missing from the mallocs/strdups.

Yeah, everything here is malloc'ed but never free'd.  We could set it up 
to be free'd in the date extension's global destructor, but, it would 
require modifying php_date.c which I am reluctant to do.  I'm not sure 
it makes much difference; the memory will remain allocated for the 
lifetime of the process in any case, right?

> * it looks like load_zone_table() is called unconditionally, even if
>   it's not needed (i.e. a scall to localtime() will trigger it)

I think this is necessary, though I didn't realize that before v6, and 
didn't explain it at all in the v6 comments.  I've added some better 
commentary now in v7 - the problem is that we need the fake tzdb->data 
array to be created once the tzdb is created, since 
timezone_identifiers_list() peeks directly into it.

> * is parsing the comments really necessary?  i don't see any php functions
>   that use them.

They are exposed by the getLocation() interface -

$ php -r '$m = new DateTimeZone("America/New_York"); \
          print_r($m->getLocation());'
Array
(
    [country_code] => US
    [latitude] => 40.71416
    [longitude] => -73.99362
    [comments] => Eastern Time
)

but yes they do seem to be kind of useless, in general.

> also, before i came to the conclusion that some kind of intermediate
> hashtable was needed to do the mapping (at which point i gave up and
> figured i'd wait to hear back from you :), i had done a slightly 
> simpler implementation of the parsing using a clean mmap'd buffer
> and sscanf with "%ms" type formats which avoids a lot of the hard-coded
> lengths etc[1].  if you're interested i can hack that code into the
> load_zone_info (and parse_iso6709) to make a leaner/cleaner/more efficient
> implementation.

Does it end up being much simpler without relying on sscanf/%ms?  I 
would rather this code is portable across older glibcs (e.g. so it works 
on older versions of RHEL).

> also, FYI my posts to the fedora list are being automatically rejected
> so if i say anything important that should be shared someone should
> forward it along :)

I've requested that you are whitelisted on the Fedora list. Thanks a lot 
for reviewing the patch, greatly appreciated!

Regards, Joe
[php-5.3.0-systzdata-v7.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sat, 18 Jul 2009 08:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 18 Jul 2009 08:42:03 GMT) Full text and rfc822 format available.

Message #80 received at 535770@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: PHP Packagers <pkg-php-maint@lists.alioth.debian.org>, 535770@bugs.debian.org, judas.iscariote@gmail.com, fedora-php-devel-list@redhat.com
Subject: Re: [php-maint] Bug#535770: PHP system timezone patch for 5.3?
Date: Sat, 18 Jul 2009 10:31:55 +0200
[Message part 1 (text/plain, inline)]
hey joe,

On Fri, Jul 17, 2009 at 09:27:53AM +0100, Joe Orton wrote:
> > * i'm not sure but it seems like there might be a few corresponding free()'s
> >   missing from the mallocs/strdups.
> 
> Yeah, everything here is malloc'ed but never free'd.  We could set it up 
> to be free'd in the date extension's global destructor, but, it would 
> require modifying php_date.c which I am reluctant to do.  I'm not sure 
> it makes much difference; the memory will remain allocated for the 
> lifetime of the process in any case, right?

my concern was that there might be a leak in a longer-running apache
module serving multiple requests (as opposed to a cgi script).  i don't
have any evidence that this is the case though.

> > * it looks like load_zone_table() is called unconditionally, even if
> >   it's not needed (i.e. a scall to localtime() will trigger it)
> 
> I think this is necessary, though I didn't realize that before v6, and 
> didn't explain it at all in the v6 comments.  I've added some better 
> commentary now in v7 - the problem is that we need the fake tzdb->data 
> array to be created once the tzdb is created, since 
> timezone_identifiers_list() peeks directly into it.

assuming you don't want to patch php_date.c, you might be right.  i think
it's unfortunate though, as some of the simpler date functions are used
quite frequently and this is adding extra overhead due to a corner case.

> > * is parsing the comments really necessary?  i don't see any php functions
> >   that use them.
> 
> They are exposed by the getLocation() interface -

d'oh, missed that one.

> > also, before i came to the conclusion that some kind of intermediate
> > hashtable was needed to do the mapping (at which point i gave up and
> > figured i'd wait to hear back from you :), i had done a slightly 
> > simpler implementation of the parsing using a clean mmap'd buffer
> > and sscanf with "%ms" type formats which avoids a lot of the hard-coded
> > lengths etc[1].  if you're interested i can hack that code into the
> > load_zone_info (and parse_iso6709) to make a leaner/cleaner/more efficient
> > implementation.
> 
> Does it end up being much simpler without relying on sscanf/%ms?  I 
> would rather this code is portable across older glibcs (e.g. so it works 
> on older versions of RHEL).

if you keep the assumptions in the existing patch wrt max length of certain
fields you could do it with static arrays (ex: %63s) or even one of those
struct objects directly.  i'll throw something your way if this saturday
continues being as boring as it is :)

also, something else i noticed:

	strncpy(i->name, name, sizeof i->name);

won't null-terminate i->name in the case that strlen(name) >= 64.  Then again,
i can't imagine the actual situation where a timezone name would actually
be that long (or where the admin would have a system that people could
inject malicious tzdata files)...  so i guess it's more of a principle
thing that i have to point it out :)



	sean
- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Tue, 18 Aug 2009 20:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 18 Aug 2009 20:24:10 GMT) Full text and rfc822 format available.

Message #85 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 535770@bugs.debian.org
Cc: contol@bugs.debian.org, seanius@debian.org
Subject: Segmentation fault
Date: Wed, 19 Aug 2009 04:23:20 +0800
severity 535770 grave
thanks
Can you please install your fixes for this bug.
You see, if I do upgrade, browsing
http://radioscanningtw.jidanni.org/index.php?title=%E7%89%B9%E6%AE%8A:%E5%8F%83%E6%95%B8%E8%A8%AD%E7%BD%AE
causes a Segmentation fault, (when the user is logged in.)
However, if I don't upgrade, browsing
http://radioscanningtw.jidanni.org/index.php?title=%E6%A1%83%E5%9C%92%E7%B8%A3%E6%B6%88%E9%98%B2%E5%B1%80&action=history&uselang=en
causes a Segmentation fault.
I.e. you have got me stuck between a rock and a hard place. Help.




Severity set to 'grave' from 'normal' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Tue, 18 Aug 2009 20:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Fri, 21 Aug 2009 15:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 21 Aug 2009 15:36:12 GMT) Full text and rfc822 format available.

Message #92 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 535770@bugs.debian.org
Cc: seanius@debian.org
Subject: php-db lacking symbol table
Date: Fri, 21 Aug 2009 23:28:29 +0800
In http://news.gmane.org/group/gmane.org.wikimedia.mediawiki/thread=31896
they also point out why php-db has "No symbol table info available"

P.S., is anybody reading this bug report these days?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sat, 22 Aug 2009 17:00:17 GMT) Full text and rfc822 format available.

Message #95 received at 535770@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: jidanni@jidanni.org
Cc: 535770@bugs.debian.org
Subject: Re: php-db lacking symbol table
Date: Sat, 22 Aug 2009 11:50:35 -0500
On Friday 21 August 2009 10:28:29 jidanni@jidanni.org wrote:
> In http://news.gmane.org/group/gmane.org.wikimedia.mediawiki/thread=31896
> they also point out why php-db has "No symbol table info available"

php5-dbg provides the debugging symbols, php won't be compiled 
with --enable-debug.

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#535770; Package php5. (Sat, 22 Aug 2009 22:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 22 Aug 2009 22:21:12 GMT) Full text and rfc822 format available.

Message #100 received at 535770@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: geissert@debian.org
Cc: 535770@bugs.debian.org
Subject: Re: php-db lacking symbol table
Date: Sun, 23 Aug 2009 06:13:42 +0800
>> In http://news.gmane.org/group/gmane.org.wikimedia.mediawiki/thread=31896
>> they also point out why php-db has "No symbol table info available"
                               ^^dbg.

RG> php5-dbg provides the debugging symbols, php won't be compiled
RG> with --enable-debug.

All I know is I had php-dbg installed, but still didn't get the symbol
table shown in the backtrace. The segfault must have been in some deeper
nook... but no at all hint where...




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Wed, 26 Aug 2009 13:33:18 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Wed, 26 Aug 2009 13:33:18 GMT) Full text and rfc822 format available.

Message #105 received at 535770-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 535770-close@bugs.debian.org
Subject: Bug#535770: fixed in php5 5.3.0-3
Date: Wed, 26 Aug 2009 13:19:00 +0000
Source: php5
Source-Version: 5.3.0-3

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive:

libapache2-mod-php5_5.3.0-3_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5_5.3.0-3_amd64.deb
libapache2-mod-php5filter_5.3.0-3_amd64.deb
  to pool/main/p/php5/libapache2-mod-php5filter_5.3.0-3_amd64.deb
php-pear_5.3.0-3_all.deb
  to pool/main/p/php5/php-pear_5.3.0-3_all.deb
php5-cgi_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-cgi_5.3.0-3_amd64.deb
php5-cli_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-cli_5.3.0-3_amd64.deb
php5-common_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-common_5.3.0-3_amd64.deb
php5-curl_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-curl_5.3.0-3_amd64.deb
php5-dbg_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-dbg_5.3.0-3_amd64.deb
php5-dev_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-dev_5.3.0-3_amd64.deb
php5-gd_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-gd_5.3.0-3_amd64.deb
php5-gmp_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-gmp_5.3.0-3_amd64.deb
php5-imap_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-imap_5.3.0-3_amd64.deb
php5-interbase_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-interbase_5.3.0-3_amd64.deb
php5-ldap_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-ldap_5.3.0-3_amd64.deb
php5-mcrypt_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-mcrypt_5.3.0-3_amd64.deb
php5-mysql_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-mysql_5.3.0-3_amd64.deb
php5-odbc_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-odbc_5.3.0-3_amd64.deb
php5-pgsql_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-pgsql_5.3.0-3_amd64.deb
php5-pspell_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-pspell_5.3.0-3_amd64.deb
php5-recode_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-recode_5.3.0-3_amd64.deb
php5-snmp_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-snmp_5.3.0-3_amd64.deb
php5-sqlite_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-sqlite_5.3.0-3_amd64.deb
php5-sybase_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-sybase_5.3.0-3_amd64.deb
php5-tidy_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-tidy_5.3.0-3_amd64.deb
php5-xmlrpc_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-xmlrpc_5.3.0-3_amd64.deb
php5-xsl_5.3.0-3_amd64.deb
  to pool/main/p/php5/php5-xsl_5.3.0-3_amd64.deb
php5_5.3.0-3.diff.gz
  to pool/main/p/php5/php5_5.3.0-3.diff.gz
php5_5.3.0-3.dsc
  to pool/main/p/php5/php5_5.3.0-3.dsc
php5_5.3.0-3_all.deb
  to pool/main/p/php5/php5_5.3.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535770@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 Aug 2009 16:12:13 +0200
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-dev php5-dbg php-pear php5-curl php5-gd php5-gmp php5-imap php5-interbase php5-ldap php5-mcrypt php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.3.0-3
Distribution: experimental
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mysql - MySQL module for php5
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 530281 535770 542088 542906 543278 543496
Changes: 
 php5 (5.3.0-3) experimental; urgency=low
 .
   * Fix segmentation fault in php-gd (Closes: #543496)
   * Update suhosin patch to 0.9.8 *BETA* and enable it again
   * Fix FTBFS with current autoconf/automake (Closes: #542906, #542088)
   * Add avr32-linux-gnu to no -gstabs toolchains (Closes: #543278)
   * Fix FTBFS on Debian Hurd (Closes: #530281)
   * Use updated (v7) version of use_embedded_timezonedb.patch (Closes: #535770)
Checksums-Sha1: 
 bc8d8377581df2c5e9233be213f34556b6658ba0 2446 php5_5.3.0-3.dsc
 c9da6454f334adf9e941630d56f1964b6fe39c2c 157468 php5_5.3.0-3.diff.gz
 3d904b63a5ad38c28751e0f4d0ac46a62b8a479f 467062 php5-common_5.3.0-3_amd64.deb
 a6a0cfc548f053033213005f98f62ef0d0876717 3298276 libapache2-mod-php5_5.3.0-3_amd64.deb
 f03ed8ad270515e5fbbf9325395900a59b278944 3297390 libapache2-mod-php5filter_5.3.0-3_amd64.deb
 662a8735e54e7857da34ea2837d727c4abb096a2 6414084 php5-cgi_5.3.0-3_amd64.deb
 248f8e8ef79d62e43c3ead022c6b72d3b3e8a553 3206592 php5-cli_5.3.0-3_amd64.deb
 b549c33327b399521784dacc020a94c2d56e364e 406772 php5-dev_5.3.0-3_amd64.deb
 185794b5605140a7dec01ea2ad19d433ea8e2c39 11439366 php5-dbg_5.3.0-3_amd64.deb
 70ef6a060a4d32974691c026da52a47136374c3a 26950 php5-curl_5.3.0-3_amd64.deb
 b5e5bdae67b8e3a67092b328c03497576c084638 42350 php5-gd_5.3.0-3_amd64.deb
 f3102529e30ab25952b74e319c91064491be9032 18278 php5-gmp_5.3.0-3_amd64.deb
 c0e1a17c9f9792c913009e71c7e173ec259f51f1 36474 php5-imap_5.3.0-3_amd64.deb
 7d1d1cc7edcf7858b7c56e0f5860f9fde98e9cfa 50240 php5-interbase_5.3.0-3_amd64.deb
 dbe6e92560167b2144f471a4b46090426c6fd998 21092 php5-ldap_5.3.0-3_amd64.deb
 7a5221ebe34e2e74c6f1c77330b85b6fee9a22bd 14154 php5-mcrypt_5.3.0-3_amd64.deb
 3d4d00f7a0ab92db22eaefa2becb8ecea640327f 75512 php5-mysql_5.3.0-3_amd64.deb
 c45e7889d2de72df054df125da482b585005b8c8 37110 php5-odbc_5.3.0-3_amd64.deb
 db4ff4afb8ae52679507bd9d4c26d0e60cfb5d9f 58538 php5-pgsql_5.3.0-3_amd64.deb
 81fda56e59717ec976c288f135780305bff858f3 8558 php5-pspell_5.3.0-3_amd64.deb
 de8ccf06edae81e443714d4878186eb30ab7a53e 4964 php5-recode_5.3.0-3_amd64.deb
 4228d4e0e7572fb89bb7560f7c5d172670aca842 12782 php5-snmp_5.3.0-3_amd64.deb
 54603766f4c0ca2a0786a643eb435351d9291e39 41560 php5-sqlite_5.3.0-3_amd64.deb
 84b5ceece29cb3bd9e97f78f7182c15b9eae5494 26866 php5-sybase_5.3.0-3_amd64.deb
 18bedc866c6db34cbe4ac9c06a043b226bde0c62 18628 php5-tidy_5.3.0-3_amd64.deb
 df51d208ed03222a5d2032ccade69d6a2b7f42d5 40432 php5-xmlrpc_5.3.0-3_amd64.deb
 1bf50d283445994bab878ab7e73201c5afea7798 14274 php5-xsl_5.3.0-3_amd64.deb
 52c82b75f4b90082f86ccd0bb44711b26102619f 1072 php5_5.3.0-3_all.deb
 cdddf679d06be335e88872ae8486674d1ebb7bb4 335922 php-pear_5.3.0-3_all.deb
Checksums-Sha256: 
 ba1113300886550ea58a7e19bf71cdc896d7ca640685ebeca18edc2e8134da87 2446 php5_5.3.0-3.dsc
 487453f862c1b5132312435b9984fe6e45ec3ebe4a9b4e85146bdd28acac371b 157468 php5_5.3.0-3.diff.gz
 e3fc68911a7071fbedb9b1e4d36053a32be9ba247eb18cdec2cd81c2ac024f5e 467062 php5-common_5.3.0-3_amd64.deb
 24484316a97845d9870c1a325198d3716e83d7f273fd996a03bae2f2132098fa 3298276 libapache2-mod-php5_5.3.0-3_amd64.deb
 dc77e20178b59ec24f973fab4b5a98574093d8cacf3badace7d67cba7f08c295 3297390 libapache2-mod-php5filter_5.3.0-3_amd64.deb
 845f34d020355c81296e9050024453c318038f848a3f286799ff84f32de32596 6414084 php5-cgi_5.3.0-3_amd64.deb
 49afeea64af87fd8317d65dabf3d567a87d02dd9e376581bbc406468740aea66 3206592 php5-cli_5.3.0-3_amd64.deb
 2f08c1df95a42bc4dc5dc12a9ce291cafc18257010f2d871c606e87a8271edd2 406772 php5-dev_5.3.0-3_amd64.deb
 038d63c236ffb898152c8348dd9bb55767c0b59772b43a67509351e6620f9b4a 11439366 php5-dbg_5.3.0-3_amd64.deb
 248052d97b881c5992136979fcc99289c8cbc4bfefeb0d06ee893f429f3116ec 26950 php5-curl_5.3.0-3_amd64.deb
 3a2df9ccc75cfb39f0a76eeb0fda73d52d6370d8b2008530ee2ea5d7a3b7f76d 42350 php5-gd_5.3.0-3_amd64.deb
 6db064b5ba3f278e41904bfa6e26b95fbdd6639a958078557c8e353284e96150 18278 php5-gmp_5.3.0-3_amd64.deb
 e9776316af82acca078af7c74e7b8241463142eb6c2cc922c041354b9f88ffd3 36474 php5-imap_5.3.0-3_amd64.deb
 658c401d9cb55f1177a71e80db1067e54fca0a6da7bee28d7ba4600b5eea8ebe 50240 php5-interbase_5.3.0-3_amd64.deb
 3bca812b79f01ad35a07249f4488e13e4dfe5de04e3ab766c94b0f498d4ade5d 21092 php5-ldap_5.3.0-3_amd64.deb
 30fa05f964d3b2ed180f79eabddebb68bedc15eee77f9aaedca2b2bfb44eccca 14154 php5-mcrypt_5.3.0-3_amd64.deb
 47db200ce8d70774127567c25d76ef217c8e6aa2de9f5eac2d4ae176174ddf90 75512 php5-mysql_5.3.0-3_amd64.deb
 eea72ef6a9ef1a17b4bee9654eb66f3328261a3c6a146a420a6fd7580690621e 37110 php5-odbc_5.3.0-3_amd64.deb
 c896ee9ed8f430a0fdba8a65d8e1b865b5dc94a8f48e0720e614a74f369bc48e 58538 php5-pgsql_5.3.0-3_amd64.deb
 81e6fa1696441130ce9b85b97a69b6a08296df4b71ebcc07263f2a071e5d1506 8558 php5-pspell_5.3.0-3_amd64.deb
 1501b4928b81a7b0102a9a6ac33d543f24a282d87e2c86d31eb1cdae6d5a3505 4964 php5-recode_5.3.0-3_amd64.deb
 d0faf794a499e0ad633c2ba324ef4ab875f51eb86f0e9f43825f6d7e14137389 12782 php5-snmp_5.3.0-3_amd64.deb
 8b025d8bb0c6a5d12040249bc9873823440a70f17f9b7dc7392fa9ac150ef0c0 41560 php5-sqlite_5.3.0-3_amd64.deb
 9e6ee93c450ad12ccaae1914970831e95b28985abeb11066b93d43f9fd7af336 26866 php5-sybase_5.3.0-3_amd64.deb
 f13f83a73dff5d84527e88f665de5207436938eb164d2ce0a4268843a438dede 18628 php5-tidy_5.3.0-3_amd64.deb
 e7a2d732f7232dfb977ec63a3feefafae9f2f2070b083c8c87c51ad848e39ea0 40432 php5-xmlrpc_5.3.0-3_amd64.deb
 d57a020412140551fff0a8ae77dd8ee8e50c8e511b6c8c1eaeb9cb8cf09e99f5 14274 php5-xsl_5.3.0-3_amd64.deb
 9821b086c64f1a8d57d824e61546328bdeda30a2ddea04d544ad93c3b3c757e6 1072 php5_5.3.0-3_all.deb
 7bf072902e79be0ff8746dcbea332de4424d682237c1b80b9707f4ff2c1d61b4 335922 php-pear_5.3.0-3_all.deb
Files: 
 5d1763e26460c208ceb04deeafb8e364 2446 php optional php5_5.3.0-3.dsc
 c47d9d64d2d57f5af81a4aaae8cbab95 157468 php optional php5_5.3.0-3.diff.gz
 1de33f0e2da0e3793a81a2cf119d3145 467062 php optional php5-common_5.3.0-3_amd64.deb
 7fd4b731c5d4b97e0aaae0451278561d 3298276 httpd optional libapache2-mod-php5_5.3.0-3_amd64.deb
 fc05abbe034f7fdd2e11ec2bebaf1271 3297390 httpd optional libapache2-mod-php5filter_5.3.0-3_amd64.deb
 2287d2cb09903e0242c931374f369b5d 6414084 php optional php5-cgi_5.3.0-3_amd64.deb
 2ac8a5f4aeab1ade4d4f3f39491131a5 3206592 php optional php5-cli_5.3.0-3_amd64.deb
 d24e06b3007e009cc3f7ca585a592e59 406772 php optional php5-dev_5.3.0-3_amd64.deb
 a7624116ef8edbb5b16b5d7aa650609f 11439366 debug extra php5-dbg_5.3.0-3_amd64.deb
 1e52a074a7fb8af55a2f6a34f6a38dc5 26950 php optional php5-curl_5.3.0-3_amd64.deb
 3b6ff96ce621030d555453ad392e11a6 42350 php optional php5-gd_5.3.0-3_amd64.deb
 8bb9b718e04ad941de203104f360a1a5 18278 php optional php5-gmp_5.3.0-3_amd64.deb
 3f4eaf961181123b0301ca158bc3bb88 36474 php optional php5-imap_5.3.0-3_amd64.deb
 055c90c0b957ca57f0591a3fe5aa2548 50240 php optional php5-interbase_5.3.0-3_amd64.deb
 27d8b1a14e4a5bbc8e571d9b5fa9c3cf 21092 php optional php5-ldap_5.3.0-3_amd64.deb
 d47c78195b89635eb3f0a52e816fb14e 14154 php optional php5-mcrypt_5.3.0-3_amd64.deb
 88ac55542cf1e10f14ffb0d74366f566 75512 php optional php5-mysql_5.3.0-3_amd64.deb
 a52998e5a5ce00fafac4422c6600e616 37110 php optional php5-odbc_5.3.0-3_amd64.deb
 fc8f889a1886c4b5a30c8fd2e09cce37 58538 php optional php5-pgsql_5.3.0-3_amd64.deb
 d740bf5bdcf3a777a4515faca0709b5c 8558 php optional php5-pspell_5.3.0-3_amd64.deb
 e25f43fd7235c4ea4872a46baaa79498 4964 php optional php5-recode_5.3.0-3_amd64.deb
 5ecc399653fc250c316502d6d9e3c375 12782 php optional php5-snmp_5.3.0-3_amd64.deb
 1ac057b71bee79d840c6289615f0fcee 41560 php optional php5-sqlite_5.3.0-3_amd64.deb
 cec9f8151a3cdbeb502ebb3ea18a6081 26866 php optional php5-sybase_5.3.0-3_amd64.deb
 0b10512b54d72fac7fa48a802e72c5c6 18628 php optional php5-tidy_5.3.0-3_amd64.deb
 e7b67062680a382f16164d94d5ee5a6a 40432 php optional php5-xmlrpc_5.3.0-3_amd64.deb
 9876170734a24bd758a842355bb004ac 14274 php optional php5-xsl_5.3.0-3_amd64.deb
 68942793b5b41385c91b33b2b5cc66c5 1072 php optional php5_5.3.0-3_all.deb
 ca33ab518400b7bcc25152354bb9946f 335922 php optional php-pear_5.3.0-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqVM9kACgkQ9OZqfMIN8nPSIACgqYFe71sxBOR/0rHr5bUUal7g
TTEAoIoIjUrxe238IozmbN1D3qX6mcbq
=iDSu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Sep 2009 07:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:25:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.